Details

    • Type: Bug
    • Status: Closed
    • Priority: Medium
    • Resolution: Fixed
    • Affects Version/s: Release 5.1.0
    • Fix Version/s: Release 5.1.0
    • Component/s: Android
    • Labels:
      None
    • Story Points:
      2
    • Sprint:
      2015 Sprint 23 Tooling

      Description

      When trying to build to a Nexus 5x I get the following:

      [ERROR] The device "Nexus 5X" does not support the desired ABIs "armeabi", "armeabi-v7a", "x86"
      [ERROR] Supported ABIs: arm64-v8a, arm64-v8a,armeabi-v7a,armeabi, armeabi-v7a,armeabi, arm64-v8a
       
      You need to add at least one of the device's supported ABIs to the tiapp.xml
       
      <ti:app xmlns:ti="http://ti.appcelerator.org">
          <!-- snip -->
          <android>
              <abi>armeabi,armeabi-v7a,x86,arm64-v8a,arm64-v8a,armeabi-v7a,armeabi,armeabi-v7a,armeabi,arm64-v8a</abi>
          </android>
      </ti:app>
      

      If I use ANY of the “supported ABI’s” mentioned in that message, in the tiapp.xml, they do not work and get the following:

      [ERROR] Invalid ABI "arm64-v8a"
       
      Valid ABIs:
         armeabi
         armeabi-v7a
         x86
      

      If I enter ANY of those “valid ABI’s”, I get the previous message saying NExus 5x doesn’t support it.

      I can confirm that the Nexus 5x has the following: `ro.product.cpu.abi=arm64-v8a`

      Here is what a ti info provides on this device:

      {
          "id": "00ab2d5a616eadc9",
          "state": "device",
          "sdk": "23",
          "release": "6.0",
          "model": "Nexus 5X",
          "brand": "google",
          "name": "Nexus 5X",
          "device": "bullhead",
          "abi": [
              "arm64-v8a",
              "arm64-v8a,armeabi-v7a,armeabi",
              "armeabi-v7a,armeabi",
              "arm64-v8a"
          ],
          "manufacturer": "LGE",
          "emulator": false
      }
      

        Attachments

          Activity

            People

            • Assignee:
              cbarber Chris Barber
              Reporter:
              rblalock Rick Blalock (Inactive)
              Reviewer:
              Chee Kiat Ng (Inactive)
            • Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Backbone Issue Sync

                • Titanium SDK/CLI <> Titanium Mobile
                  Synced with:
                  TIMOB-20624
                  Sync status:
                  ERROR
                  Last received:
                  Last sent:

                  Git Integration